udm:
  authdataManagement:
    display: "Authentication Data Management"
    mml:
      - operation: "dsp"
        object: "authdat"
        display: "Display Auth Data"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
      - operation: "add"
        object: "authdat"
        display: "Add Auth Data"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
          - name: "ki"
            type: "int"
            optional: "false"
            filter: ""
            display: "Ki"
            comment: ""
          - name: "amf"
            type: "string"
            optional: "false"
            filter: ""
            display: "AMF"
            comment: ""
          - name: "algo"
            type: ""
            optional: "false"
            filter: ""
            display: "Algo"
            comment: ""
          - name: "opc"
            type: "string"
            optional: "false"
            filter: ""
            display: "OPC"
            comment: ""
      - operation: "del"
        object: "authdat"
        display: "Delete Auth Data"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
      - operation: "bat"
        object: "authdat"
        display: "Batch Add Auth Data"
        params:
          - name: "start_imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "Starting IMSI"
            comment: ""
          - name: "sub_num"
            type: "int"
            optional: "false"
            filter: ""
            display: "auth data number"
            comment: ""
          - name: "ki"
            type: "string"
            optional: "false"
            filter: ""
            display: "Ki"
            comment: ""
          - name: "amf"
            type: "string"
            optional: "false"
            filter: ""
            display: "AMF"
            comment: ""
          - name: "algo"
            type: ""
            optional: "false"
            filter: ""
            display: "Algo"
            comment: ""
      - operation: "bde"
        object: "authdat"
        display: "Batch Delete Auth Data"
        params:
          - name: "start_imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "Starting IMSI"
            comment: ""
          - name: "sub_num"
            type: "int"
            optional: "false"
            filter: ""
            display: "auth data number"
            comment: ""
      - operation: "import"
        object: "authdat"
        display: "Import Auth Data From File"
        params:
          - name: "file"
            type: "string"
            optional: "false"
            filter: ""
            display: "Path file"
            comment: ""
      - operation: "export"
        object: "authdat"
        display: "Export Auth Data to File"
        params:
          - name: "file"
            type: "string"
            optional: "false"
            filter: ""
            display: "Path file"
            comment: ""            
  subscriberManagement:
    display: "Subcriber Management"
    mml:
      - operation: "dsp"
        object: "udmuser"
        display: "Display UDM Subscriber"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
      - operation: "add"
        object: "udmuser"
        display: "Add UDM Subscriber"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
          - name: "msisdn"
            type: "string"
            optional: "true"
            filter: ""
            display: "MSISDN"
            comment: ""
          - name: "ambr"
            type: "string"
            optional: "false"
            filter: ""
            display: "AMBR"
            comment: ""
          - name: "nssai"
            type: "string"
            optional: "false"
            filter: ""
            display: "Nssai"
            comment: ""
          - name: "arfb"
            type: "string"
            optional: "false"
            filter: ""
            display: "Arfb"
            comment: ""
          - name: "sar"
            type: "string"
            optional: "false"
            filter: ""
            display: "SAR"
            comment: ""
          - name: "rat"
            type: "string"
            optional: "false"
            filter: ""
            display: "RAT"
            comment: ""
          - name: "cn"
            type: "string"
            optional: "false"
            filter: ""
            display: "CN"
            comment: ""
          - name: "smf_sel"
            type: "string"
            optional: "false"
            filter: ""
            display: "SMF_sel"
            comment: ""
          - name: "sm_data"
            type: "string"
            optional: "false"
            filter: ""
            display: "SM_data"
            comment: ""
      - operation: "del"
        object: "udmuser"
        display: "Delete Subscriber Data"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
      - operation: "mod"
        object: "udmuser"
        display: "Modify Subscriber Data"
        params:
          - name: "imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            c1omment: ""
          - name: "msisdn"
            type: "string"
            optional: "true"
            filter: ""
            display: "MSISDN"
            comment: ""
          - name: "ambr"
            type: "string"
            optional: "true"
            filter: ""
            display: "AMBR"
            comment: ""
          - name: "nssai"
            type: "string"
            optional: "true"
            filter: ""
            display: "Nssai"
            comment: ""
          - name: "arfb"
            type: "string"
            optional: "true"
            filter: ""
            display: "Arfb"
            comment: ""
          - name: "sar"
            type: "string"
            optional: "true"
            filter: ""
            display: "SAR"
            comment: ""
          - name: "rat"
            type: "string"
            filter: ""
            display: "RAT"
            comment: ""
          - name: "cn"
            type: "string"
            optional: "true"
            filter: ""
            display: "CN"
            comment: ""
          - name: "smf_sel"
            type: "string"
            optional: "true"
            filter: ""
            display: "SMF_sel"
            comment: ""
          - name: "sm_data"
            type: "string"
            optional: "true"
            filter: ""
            display: "SM_data"
            comment: ""
      - operation: "bat"
        object: "udmuser"
        display: "Batch Add UDM Subscriber"
        params:
          - name: "start_imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
          - name: "start_msisdn"
            type: "string"
            optional: "true"
            filter: ""
            display: "MSISDN"
            comment: ""
          - name: "sub_num"
            type: "int"
            optional: "false"
            filter: ""
            display: "subscriber number"
            comment: ""
          - name: "ambr"
            type: "string"
            optional: "false"
            filter: ""
            display: "AMBR"
            comment: ""
          - name: "nssai"
            type: "string"
            optional: "false"
            filter: ""
            display: "Nssai"
            comment: ""
          - name: "arfb"
            type: "string"
            optional: "false"
            filter: ""
            display: "Arfb"
            comment: ""
          - name: "sar"
            type: "string"
            optional: "false"
            filter: ""
            display: "SAR"
            comment: ""
          - name: "rat"
            type: "string"
            optional: "false"
            filter: ""
            display: "RAT"
            comment: ""
          - name: "cn"
            type: "string"
            optional: "false"
            filter: ""
            display: "CN"
            comment: ""
          - name: "smf_sel"
            type: "string"
            optional: "false"
            filter: ""
            display: "SMF_sel"
            comment: ""
          - name: "sm_data"
            type: "string"
            optional: "false"
            filter: ""
            display: "SM_data"
            comment: ""
      - operation: "bde"
        object: "udmuser"
        display: "Batch Delete Subscriber Data"
        params:
          - name: "start_imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
          - name: "sub_num"
            type: "string"
            optional: "false"
            filter: ""
            display: "Subcribers number"
            comment: ""
      - operation: "bmd"
        object: "udmuser"
        display: "Batch Modify Subscriber Data"
        params:
          - name: "start_imsi"
            type: "string"
            optional: "false"
            filter: ""
            display: "IMSI"
            comment: ""
          - name: "sub_num"
            type: "string"
            optional: "false"
            filter: ""
            display: "Subcribers number"
            comment: ""
          - name: "sm_data"
            type: "string"
            optional: "false"
            filter: ""
            display: "SM_data"
            comment: ""
      - operation: "import"
        object: "udmuser"
        display: "Import Subscriber Data From File"
        params:
          - name: "file"
            type: "string"
            optional: "false"
            filter: ""
            display: "Path file"
            comment: ""
      - operation: "upload"
        object: "udmuser"
        display: "Upload Subscriber Data"
        params:
          - name: "file"
            type: "string"
            optional: "false"
            filter: ""
            display: "Path file"
            comment: ""
      - operation: "sync"
        object: "start"
        display: "Sync UDM Data From Public UDM"
        params:
      - operation: "sync"
        object: "state"
        display: "Query State of Sync Task"
        params:



